<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Naame: AD's Panel
| Type:  Infusion & Panel
| Version: 1.00
| Filename: ads_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig & MVE Designs
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ads_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ads_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
include INFUSIONS."ads_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
include INFUSIONS."ads_panel/locale/English.php";
}

$adsettings = dbarray(dbquery("SELECT * FROM ".DB_ADS_TABLE));
if($adsettings) {
	if(FUSION_SELF == "articles.php" && $adsettings['aaenable'] == '1') {
		ob_start();
		opentable($locale['ads003']);
		echo "<div align='center'>";
		echo stripslashes($adsettings['ads_code']);
		echo "</div>";
		closetable();
		$ob_get_contents = ob_get_contents();
		ob_end_clean();
		$ob_get_contents = str_replace("'", "\'", $ob_get_contents);
		replace_in_output("<!--sub_article-->", "<!--sub_article-->\n".$ob_get_contents);
	} elseif(FUSION_SELF == "news.php" && $adsettings['anenable'] == '1') {
		ob_start();
		opentable($locale['ads003']);
		echo "<div align='center'>";
		echo stripslashes($adsettings['ads_code']);
		echo "</div>";
		closetable();
		$ob_get_contents = ob_get_contents();
		ob_end_clean();
		$ob_get_contents = str_replace("'", "\'", $ob_get_contents);
		replace_in_output("<!--news_sub_readmore-->", "<!--news_sub_readmore-->\n".$ob_get_contents);
	} elseif(FUSION_SELF == "viewpage.php" && $adsettings['acenable'] == '1') {
		ob_start();
		opentable($locale['ads003']);
		echo "<div align='center'>";
		echo stripslashes($adsettings['ads_code']);
		echo "</div>";
		closetable();
		$ob_get_contents = ob_get_contents();
		ob_end_clean();
		$ob_get_contents = str_replace("'", "\'", $ob_get_contents);
		replace_in_output("<!--custompages-after-content-->", "<!--custompages-after-content-->\n".$ob_get_contents);
	}	
} else {
	opentable($locale['ads003']);
	echo $locale['ads005'];
	closetable();
}
?>