<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author :  Nick Jones
| Infusion Author: Fangree Productions
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ads_panel/infusion_db.php";

if (file_exists(INFUSIONS."ads_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ads_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ads_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ads001'];
$inf_description = $locale['ads001'];
$inf_version = "1.00";
$inf_developer = "Fangree Productions";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "ads_panel";

$inf_newtable[1] = DB_ADS_TABLE." (
anenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
aaenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
acenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ads_code TEXT DEFAULT '' NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_ADS_TABLE." (anenable, aaenable, acenable, ads_code) VALUES('1', '1', '1', '')";

$inf_droptable[1] = DB_ADS_TABLE;

$inf_adminpanel[1] = array(
	"title" => $locale['ads001'],
	"image" => "ads_admin.gif",
	"panel" => "ads_admin.php",
	"rights" => "ADS"
);

?>