<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Naame: AD's Panel
| Type:  Infusion & Panel
| Version: 1.00
| Filename: ads_admin.php
| Author: Fangree Productions
| Developers: Fangree_Craig 
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."ads_panel/infusion_db.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("ADS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."ads_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ads_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ads_panel/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
		$message = $locale['ads_saved'];
	} elseif ($_GET['status'] == "nsu") {
		$message = $locale['ads_not_saved'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_POST['ads_save'])) {
	$anenable=(isset($_POST['anenable']) && isNum($_POST['anenable'])) ? $_POST['anenable'] : "0";	
	$aaenable=(isset($_POST['aaenable']) && isNum($_POST['aaenable'])) ? $_POST['aaenable'] : "0";
	$acenable=(isset($_POST['acenable']) && isNum($_POST['acenable'])) ? $_POST['acenable'] : "0";
	$result = dbquery("UPDATE ".DB_ADS_TABLE." SET 	anenable='$anenable', aaenable='$aaenable', acenable='$acenable', ads_code='".addslashes($_POST['ads_code'])."'");	
	if (!$result) { 
		redirect(FUSION_SELF.$aidlink."&status=nsu");
	} else {
		redirect(FUSION_SELF.$aidlink."&status=su");
	}
}

$adsettings = dbarray(dbquery("SELECT * FROM ".DB_ADS_TABLE));
$ads_code = stripslashes($adsettings['ads_code']);

opentable($locale['ads001']);
echo"<div class='admin-message'>".$locale['ads006']."</div>";
echo "<form name='ads_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo" <td align='center' class='tbl'> <textarea rows='10'  class='textbox' name='ads_code' value='".$locale['ads004']."' style='width:500px'>".$ads_code."</textarea></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo"<div class='admin-message'>".$locale['ads007']."</div>";
//Ads News
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ads008']."</td>\n";
echo "<td class='tbl' align='left'><select name='anenable' class='textbox'>\n";
echo "<option value='1'".($adsettings['anenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($adsettings['anenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Ads Article
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ads009']."</td>\n";
echo "<td class='tbl' align='left'><select name='aaenable' class='textbox'>\n";
echo "<option value='1'".($adsettings['aaenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($adsettings['aaenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

//Ads Custom Page
echo "<td width='60%' class='tbl' align='left' valign='top'>".$locale['ads010']."</td>\n";
echo "<td class='tbl' align='left'><select name='acenable' class='textbox'>\n";
echo "<option value='1'".($adsettings['acenable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($adsettings['acenable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td colspan='2' class='tbl' align='center'><br /><input type='submit' class='button' name='ads_save' value='".$locale['ads004']."' />";
echo "</td></tr>\n";
echo "</table>\n";

echo "</form>\n";
// Please do not remove copyright info
 include INFUSIONS."ads_panel/includes/copyright_func.php";
 echo "".showAPcopyright()."";
// End copyright info
closetable();

require_once THEMES."templates/footer.php";

?> 